%global extdir  mpris-label@pennbauman.github.com

Name:           gnome-shell-extension-mpris-label
Version:        39
Release:        %autorelease
Summary:        Display a label with song/album/artist information for MPRIS compatible players

License:        GPLv3
URL:            https://github.com/pennbauman/gnome-mpris-label
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  gnome-shell
BuildRequires:  make
Requires:       gnome-shell-extension-common

%description
Display a label in your panel with the song/title/album/artist information 
available from an mpris compatible player. You can also control the player, 
raise/lower its volume, customize the label, and a lot more! This extension 
works with Spotify, Vlc, Rhythmbox, Firefox, Chromium, and (probably) any MPRIS 
compatible player.


%prep
%autosetup -n 'gnome-mpris-label-%{version}'


%build
make


%install
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions
cp -a build %{buildroot}%{_datadir}/gnome-shell/extensions/%{extdir}



%files
%license       LICENSE
%doc           README.md
%dir %{_datadir}/gnome-shell/extensions/%{extdir}
%dir %{_datadir}/gnome-shell/extensions/%{extdir}/schemas
%{_datadir}/gnome-shell/extensions/%{extdir}/*
%{_datadir}/gnome-shell/extensions/%{extdir}/schemas/*


%changelog
%autochangelog
